## pyside 0.4.2-1maemo2

=== PySide/QtMultimedia/CMakeLists.txt ===
project(QtMultimedia)

set(QtMultimedia_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtMultimedia/qaudio_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtMultimedia/qabstractvideobuffer_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtMultimedia/qaudioenginefactoryinterface_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtMultimedia/qvideosurfaceformat_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtMultimedia/qabstractvideosurface_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtMultimedia/qaudiodeviceinfo_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtMultimedia/qabstractaudiodeviceinfo_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtMultimedia/qabstractaudiooutput_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtMultimedia/qabstractaudioinput_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtMultimedia/qaudioengineplugin_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtMultimedia/qaudioformat_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtMultimedia/qaudioinput_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtMultimedia/qaudiooutput_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtMultimedia/qvideoframe_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtMultimedia/qtmultimedia_module_wrapper.cpp
)
set(QtMultimedia_typesystem_path "${QtCore_SOURCE_DIR}${PATH_SEP}${QtGui_SOURCE_DIR}${PATH_SEP}${QtGui_BINARY_DIR}")

set(QtMultimedia_include_dirs   ${CMAKE_CURRENT_SOURCE_DIR}
                                ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtMultimedia/
                                ${QT_INCLUDE_DIR}
                                ${QT_QTCORE_INCLUDE_DIR}
                                ${QT_QTGUI_INCLUDE_DIR}
                                ${QT_QTMULTIMEDIA_INCLUDE_DIR}
                                ${SHIBOKEN_INCLUDE_DIR}
                                ${libpyside_SOURCE_DIR}
                                ${PYTHON_INCLUDE_PATH}
                                ${QtCore_BINARY_DIR}/PySide/QtCore/
                                ${QtGui_BINARY_DIR}/PySide/QtGui/)

set(QtMultimedia_libraries  pyside
                            ${PYSIDE_PYTHON_LIBRARIES}
                            ${SHIBOKEN_LIBRARY}
                            ${QT_QTMULTIMEDIA_LIBRARY}
                            ${QT_QTGUI_LIBRARY})

set(QtMultimedia_deps QtGui)

create_pyside_module(QtMultimedia
                     QtMultimedia_include_dirs
                     QtMultimedia_libraries
                     QtMultimedia_deps
                     QtMultimedia_typesystem_path
                     QtMultimedia_SRC
                     "")

=== PySide/phonon/CMakeLists.txt ===
project(phonon)

# workaround for a cmake bug under MacOSX, it finds phonon but not the include path
if (NOT QT_PHONON_INCLUDE_DIR AND CMAKE_HOST_APPLE)
    set(QT_PHONON_INCLUDE_DIR "${QT_LIBRARY_DIR}/phonon.framework/Headers")
endif ()

set(phonon_SRC
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_abstractaudiooutput_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_abstractmediastream_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_abstractvideooutput_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_addoninterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_audiocapturedevice_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_audiochanneldescription_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_audiooutputdevicemodel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_audiooutputdevice_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_audiooutput_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_backendcapabilities_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_backendinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_effectdescriptionmodel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_effectdescription_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_effectinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_effectparameter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_effectwidget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_effect_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_mediacontroller_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_medianode_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_mediaobjectinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_mediaobject_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_mediasource_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_path_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_platformplugin_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_seekslider_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_streaminterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_subtitledescription_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_videoplayer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_videowidgetinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_videowidget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_volumefadereffect_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_volumefaderinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_volumeslider_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon/phonon_backendcapabilities_notifierwrapper_wrapper.cpp
)

check_qt_class("phonon" "VideoCaptureDevice" phonon_SRC "Phonon" "ObjectDescription")

set(phonon_typesystem_path "${QtCore_SOURCE_DIR}${PATH_SEP}${QtGui_SOURCE_DIR}${PATH_SEP}${phonon_SOURCE_DIR}${PATH_SEP}${QtGui_BINARY_DIR}")
set(phonon_include_dirs ${CMAKE_CURRENT_SOURCE_DIR}
                        ${QT_QTCORE_INCLUDE_DIR}
                        ${QT_QTGUI_INCLUDE_DIR}
                        ${QT_PHONON_INCLUDE_DIR}
                        ${PYTHON_INCLUDE_PATH}
                        ${SHIBOKEN_INCLUDE_DIR}
                        ${libpyside_SOURCE_DIR}
                        ${QtGui_BINARY_DIR}/PySide/QtGui/
                        ${QtCore_BINARY_DIR}/PySide/QtCore/
                        ${CMAKE_CURRENT_BINARY_DIR}/PySide/phonon)
set(phonon_libraries  pyside
                      ${PYSIDE_PYTHON_LIBRARIES}
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTGUI_LIBRARY}
                      ${QT_PHONON_LIBRARY})
set(phonon_deps QtGui)

create_pyside_module(phonon
                     phonon_include_dirs
                     phonon_libraries
                     phonon_deps
                     phonon_typesystem_path
                     phonon_SRC
                     "")

=== tests/QtDeclarative/CMakeLists.txt ===
PYSIDE_TEST(qdeclarativenetwork_test.py FALSE)
PYSIDE_TEST(qdeclarativeview_test.py FALSE)

=== tests/QtUiTools/CMakeLists.txt ===
PYSIDE_TEST(bug_360.py)
PYSIDE_TEST(bug_376.py)
PYSIDE_TEST(bug_392.py)
PYSIDE_TEST(uiloader_test.py)
PYSIDE_TEST(ui_test.py)

=== debian/changelog ===
pyside (0.4.2-1maemo2) unstable; urgency=low

  * Version bump.

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Mon, 25 Oct 2010 20:37:34 -0300

=== debian/control ===
Source: pyside
Section: python
Priority: optional
Maintainer: PySide Team <pyside@openbossa.org>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper7, cmake (>= 2.6.0), quilt,
	python-all-dev (>= 2.3.5-11), python-all-dbg (>= 2.3.5-11), python-support (>= 0.3.9),
	libqt4-dev (>= 4.7), libqt4-phonon (>= 4.7),
	shiboken (>= 0.5.1), generatorrunner (>= 0.6.2), libshiboken-dev (>= 0.5.1), libgenrunner-dev (>= 0.6.2)
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyside/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/python-modules/packages/pyside/?op=log
Homepage: http://www.pyside.org/

Package: python-pyside
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-pyside.phonon (>= ${binary:Version}),
	 python-pyside.qtcore (>= ${binary:Version}),
	 python-pyside.qtgui (>= ${binary:Version}),
	 python-pyside.qtmaemo5 (>= ${binary:Version}),
	 python-pyside.qtmultimedia (>= ${binary:Version}),
	 python-pyside.qtnetwork (>= ${binary:Version}),
	 python-pyside.qtopengl (>= ${binary:Version}),
	 python-pyside.qtscript (>= ${binary:Version}),
	 python-pyside.qtsql (>= ${binary:Version}),
	 python-pyside.qtsvg (>= ${binary:Version}),
	 python-pyside.qtwebkit (>= ${binary:Version}),
	 python-pyside.qtxml (>= ${binary:Version}),
	 python-pyside.qtxmlpatterns (>= ${binary:Version})
Description: Python bindings for Qt4 (big metapackage)
 Python bindings for Qt4 framework. This is a metapackage for all modules.

Package: python-pyside-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-pyside.phonon (>= ${binary:Version}),
	 python-pyside.qtcore (>= ${binary:Version}),
	 python-pyside.qtgui (>= ${binary:Version}),
	 python-pyside.qtmaemo5 (>= ${binary:Version}),
	 python-pyside.qtnetwork (>= ${binary:Version}),
	 python-pyside.qtopengl (>= ${binary:Version}),
	 python-pyside.qtscript (>= ${binary:Version}),
	 python-pyside.qtsql (>= ${binary:Version}),
	 python-pyside.qtsvg (>= ${binary:Version}),
	 python-pyside.qtwebkit (>= ${binary:Version}),
	 python-pyside.qtxml (>= ${binary:Version}),
	 python-pyside.qtxmlpatterns (>= ${binary:Version}),
	 libpyside0.4 (>= ${binary:Version})
Description: Python bindings for Qt 4 (debug symbols)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols.

Package: libpyside0.4
Architecture: any
Conflicts: libpyside0.3
Replaces: libpyside0.3
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Python bindings for Qt 4 (base files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains base files used by all modules.

Package: libpyside-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dev (>= 4.7)
Description: Python bindings for Qt 4 (development files)
 Development headers for the pysidebase library.

Package: python-pyside.qtcore
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-core
Replaces: pyside-qt4-core
Description: Qt 4 core module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtCore module.

Package: python-pyside.qtgui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= ${binary:Version})
Provides: ${python:Provides}
Conflicts: pyside-qt4-gui
Replaces: pyside-qt4-gui
Description: Qt 4 GUI module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtGui module.

Package: python-pyside.qtmultimedia
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui (>= ${binary:Version})
Provides: ${python:Provides}
Conflicts: pyside-qt4-multimedia
Replaces: pyside-qt4-multimedia
Description: Qt 4 multimedia module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtMultimedia module.

Package: python-pyside.qtnetwork
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= ${binary:Version})
Provides: ${python:Provides}
Conflicts: pyside-qt4-network
Replaces: pyside-qt4-network
Description: Qt 4 network module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtNetwork module.

Package: python-pyside.qtopengl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui (>= ${binary:Version})
Provides: ${python:Provides}
Conflicts: pyside-qt4-opengl
Replaces: pyside-qt4-opengl
Description: Qt 4 OpenGL module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtOpenGL module.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: python-pyside.phonon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui (>= ${binary:Version})
Provides: ${python:Provides}
Conflicts: pyside-qt4-phonon
Replaces: pyside-qt4-phonon
Description: Qt 4 Phonon module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the Phonon multimedia module.

Package: python-pyside.qtscript
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= ${binary:Version})
Provides: ${python:Provides}
Conflicts: pyside-qt4-script
Replaces: pyside-qt4-script
Description: Qt 4 script module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtScript and QtScriptTools
 modules.

Package: python-pyside.qtsql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui (>= ${binary:Version})
Provides: ${python:Provides}
Conflicts: pyside-qt4-sql
Replaces: pyside-qt4-sql
Description: Qt 4 SQL module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtSql module.

Package: python-pyside.qtsvg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui (>= ${binary:Version})
Provides: ${python:Provides}
Conflicts: pyside-qt4-svg
Replaces: pyside-qt4-svg
Description: Qt 4 SVG module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtSvg module.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.

Package: python-pyside.qttest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui (>= ${binary:Version})
Provides: ${python:Provides}
Conflicts: pyside-qt4-test
Replaces: pyside-qt4-test
Description: Qt 4 test module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtTest module.

Package: python-pyside.qtwebkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui (>= ${binary:Version}), python-pyside.qtnetwork (>= ${binary:Version})
Provides: ${python:Provides}
Conflicts: pyside-qt4-webkit
Replaces: pyside-qt4-webkit
Description: Qt 4 WebKit module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtWebKit module.

Package: python-pyside.qtxml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= ${binary:Version})
Provides: ${python:Provides}
Conflicts: pyside-qt4-core
Replaces: pyside-qt4-core
Description: Qt 4 XML module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtXml module.

Package: python-pyside.qtxmlpatterns
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtcore (>= ${binary:Version})
Provides: ${python:Provides}
Conflicts: pyside-qt4-xmlpatterns
Replaces: pyside-qt4-xmlpatterns
Description: Qt 4 XML patterns module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtXmlPatterns module.

Package: python-pyside.qtmaemo5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui (>= ${binary:Version})
Provides: ${python:Provides}
Conflicts: pyside-qt4-maemo5
Replaces: pyside-qt4-maemo5
Description: Qt 4 Maemo5 module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtMaemo5 module.

## pyside 0.4.2-1maemo3

=== debian/changelog ===
pyside (0.4.2-1maemo3) unstable; urgency=low

  * Version bump.

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Mon, 25 Oct 2010 22:43:12 -0300

## pyside 0.4.2-1maemo4

=== debian/changelog ===
pyside (0.4.2-1maemo4) unstable; urgency=low

  *  New version based on Didier's packaging.

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Tue, 26 Oct 2010 16:37:22 -0300

pyside (0.4.1-1) experimental; urgency=low

  * New 0.4.1 upstream release.
    - Add some 0.4.1 symbols.

  * Patches:
    - u_c130273_fix_py25_QtScript_property.patch
      Remove, was from upstream.
    - u_20e226b_fix_missing_qcoreapplication_arguments_method.patch
      Remove, was from upstream.
    - u_268bf77_fixed_signal_signature_parser.patch
      Remove, was from upstream.
    + libPythonVersionPostfix.patch: Refresh
    + usePySpecificShiboken.patch: Refresh
    + lessBuildVerbosity.patch: Refresh
 
  * Bump the B-D chain versions.
  * Make sure the private.py is installed in QtCore module.
  * Build against Qt 4.7, hence release to experimental.
    - Add libqtwebkit-dev
    - Drop QtMultimedia module.
    - Add the QtDeclarative package.

 -- Didier Raboud <didier@raboud.com>  Tue, 12 Oct 2010 11:42:00 +0200

=== debian/control ===
Source: pyside
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Didier Raboud <didier@raboud.com>
Build-Depends: debhelper7 (>= 7.4.11), cmake (>= 2.6.0), dpkg-dev (>= 1.14.25),
	python-all-dev (>= 2.3.5-11), python-all-dbg (>= 2.3.5-11), python-support (>= 0.3.9),
	libqt4-dev (>= 4.7.0~git20100909-0maemo1+0m5), libqt4-opengl (>= 4.7.0~git20100909-0maemo1+0m5),
	shiboken (>= 0.5.1-1maemo2), libshiboken-dev (>= 0.5.1-1maemo2), shiboken-dbg (>= 0.5.1-1maemo2),
	generatorrunner (>= 0.6.2-1maemo3), libgenrunner-dev (>= 0.6.2-1maemo3), libapiextractor-dev (>= 0.8.1-1maemo3),
	libqt4-sql-sqlite (>= 4.7.0~git20100909-0maemo1+0m5), xvfb, xauth, quilt
# Various Build-Depends are needed for success of the testsuite:
# libqt4-sql-sqlite is needed because we need one sql driver.
# xvfb and xauth are needed to run a fake X Server
# phonon-backend-gstreamer is needed to test phonon
Standards-Version: 3.9.1.0
XS-Python-Version: >= 2.5
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyside/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyside/
Homepage: http://www.pyside.org/
DM-Upload-Allowed: yes

Package: python-pyside
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-pyside.phonon (>= ${binary:Version}),
	 python-pyside.qtcore (>= ${binary:Version}),
	 python-pyside.qtdeclarative (>= ${binary:Version}),
	 python-pyside.qtgui (>= ${binary:Version}),
	 python-pyside.qtmaemo5 (>= ${binary:Version}),
	 python-pyside.qtmultimedia (>= ${binary:Version}),
	 python-pyside.qtnetwork (>= ${binary:Version}),
	 python-pyside.qtopengl (>= ${binary:Version}),
	 python-pyside.qtscript (>= ${binary:Version}),
	 python-pyside.qtsql (>= ${binary:Version}),
	 python-pyside.qtsvg (>= ${binary:Version}),
	 python-pyside.qtwebkit (>= ${binary:Version}),
	 python-pyside.qtxml (>= ${binary:Version})
Description: Python bindings for Qt4 (big metapackage)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Python bindings for Qt4 framework. This is a metapackage for all modules.

#Package: python-pyside-dbg
#Architecture: any
#Priority: extra
#Section: debug
#Depends: ${shlibs:Depends}, ${misc:Depends},
#	 shiboken-dbg (>= 0.5.1-1maemo2),
#	 python-pyside.phonon (>= ${binary:Version}) |
#	 python-pyside.qtcore (>= ${binary:Version}) |
#	 python-pyside.qtdeclarative (>= ${binary:Version}) |
#	 python-pyside.qtgui (>= ${binary:Version}) |
#	 python-pyside.qthelp (>= ${binary:Version}) |
#	 python-pyside.qtnetwork (>= ${binary:Version}) |
#	 python-pyside.qtopengl (>= ${binary:Version}) |
#	 python-pyside.qtscript (>= ${binary:Version}) |
#	 python-pyside.qtsql (>= ${binary:Version}) |
#	 python-pyside.qtsvg (>= ${binary:Version}) |
#	 python-pyside.qtuitools (>= ${binary:Version}) |
#	 python-pyside.qtwebkit (>= ${binary:Version}) |
#	 python-pyside.qtxml (>= ${binary:Version}) |
#	 libpyside0.4 (>= ${binary:Version})
#Description: Python bindings for Qt 4 (debug symbols)
# Qt is a cross-platform C++ application framework. Qt's primary feature
# is its rich set of widgets that provide standard GUI functionality.
# .
# This package contains the debugging symbols.

Package: libpyside0.4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Replaces: libpyside0.3 (<< 0.5.1)
Breaks: libpyside0.3 (<< 0.5.1)
Description: Python bindings for Qt 4 (base files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains base files used by all modules.

Package: libpyside-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libpyside0.4 (=${binary:Version}), libqt4-dev (>= 4.7.0)
Replaces: libpyside0.3 (<< 0.5.1)
Breaks: libpyside0.3 (<< 0.5.1)
Description: Python bindings for Qt 4 (development files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the development headers for the libpyside library.

Package: python-pyside.qtcore
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Qt 4 core module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtCore module.

Package: python-pyside.qtdeclarative
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Qt 4 Declarative module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtDeclarative module.

Package: python-pyside.qtgui
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-gui
Replaces: pyside-qt4-gui
Description: Qt 4 GUI module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtGui module.

Package: python-pyside.qtmultimedia
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pyside.qtgui (>= ${binary:Version})
Provides: ${python:Provides}
Conflicts: pyside-qt4-multimedia
Replaces: pyside-qt4-multimedia
Description: Qt 4 multimedia module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtMultimedia module.

Package: python-pyside.qtnetwork
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-network
Replaces: pyside-qt4-network
Description: Qt 4 network module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtNetwork module.

Package: python-pyside.qtopengl
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-opengl
Replaces: pyside-qt4-opengl
Description: Qt 4 OpenGL module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtOpenGL module.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: python-pyside.phonon
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-phonon
Replaces: pyside-qt4-phonon
Description: Qt 4 Phonon module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the Phonon multimedia module.

Package: python-pyside.qtscript
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-script
Replaces: pyside-qt4-script
Description: Qt 4 script module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtScript and QtScriptTools
 modules.

Package: python-pyside.qtsql
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-sql
Replaces: pyside-qt4-sql
Description: Qt 4 SQL module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtSql module.

Package: python-pyside.qtsvg
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-svg
Replaces: pyside-qt4-svg
Description: Qt 4 SVG module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtSvg module.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.

Package: python-pyside.qttest
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-test
Replaces: pyside-qt4-test
Description: Qt 4 test module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtTest module.

Package: python-pyside.qtwebkit
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-webkit
Replaces: pyside-qt4-webkit
Description: Qt 4 WebKit module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtWebKit module.

Package: python-pyside.qtxml
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-xml, python-pyside.qtxmlpatterns (<< 0.4.2-1maemo4)
Replaces: pyside-qt4-xml, python-pyside.qtxmlpatterns (<< 0.4.2-1maemo4)
Description: Qt 4 XML module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtXml and QtXmlPatterns modules.

Package: python-pyside.qtmaemo5
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: pyside-qt4-maemo5
Replaces: pyside-qt4-maemo5
Description: Qt 4 Maemo5 module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtMaemo5 module.

=== debian/rules ===
#!/usr/bin/make -f

# Allow to find debhelper7 on Maemo
# Install from Extras repository
PATH := /usr/bin/dh7:$(PATH)
export PATH

%:
	dh --with quilt --buildsystem=cmake --parallel $@

LDFLAGS="-Wl,--reduce-memory-overheads"

# Python versions
PYVERSIONS=$(shell pyversions -v -r)
DEFAULT_PY=$(shell pyversions -v -d)

#### CONFIGURE ####

override_dh_auto_configure: $(PYVERSIONS:%=override_dh_auto_configure-%)
#$(PYVERSIONS:%=override_dh_auto_configure_dbg-%) 

#override_dh_auto_configure_dbg-%:
#	mkdir -p build-$*-dbg
#	dh_auto_configure --builddirectory=build-$*-dbg -- \
#	-DCMAKE_VERBOSE_MAKEFILE=OFF \
#	-DENABLE_MAEMO=1 \
#	-DCMAKE_BUILD_TYPE:STRING="Debug" \
#	-DCMAKE_SKIP_RPATH=true \
#	-DCMAKE_USE_PYTHON_VERSION="$*-dbg;$*_d;$*" \
#	-DCMAKE_DEBUG_POSTFIX=_d \
#	-DLIBPYSIDE_POSTFIX=$(shell echo -py$* | sed -e 's/\.//g' -) \
#	-DSHIBOKEN_POSTFIX=$(shell echo -py$*_d | sed -e 's/\.//g' -)

override_dh_auto_configure-%:
	mkdir -p build-$*
	dh_auto_configure --builddirectory=build-$* -- \
	-DCMAKE_VERBOSE_MAKEFILE=OFF \
	-DENABLE_MAEMO=1 \
	-DCMAKE_BUILD_TYPE:STRING="Release" \
	-DCMAKE_SKIP_RPATH=true \
	-DCMAKE_USE_PYTHON_VERSION="$*" \
	-DLIBPYSIDE_POSTFIX=$(shell echo -py$* | sed -e 's/\.//g' -) \
	-DSHIBOKEN_POSTFIX=$(shell echo -py$* | sed -e 's/\.//g' -)

#### BUILD ####

override_dh_auto_build: $(PYVERSIONS:%=override_dh_auto_build-%)
# $(PYVERSIONS:%=override_dh_auto_build_dbg-%)

#override_dh_auto_build_dbg-%:
#	dh_auto_build --builddirectory=build-$*-dbg

override_dh_auto_build-%:
	dh_auto_build --builddirectory=build-$*

#### INSTALL ####

override_dh_auto_install: $(PYVERSIONS:%=override_dh_auto_install-%)
# $(PYVERSIONS:%=override_dh_auto_install_dbg-%)

#override_dh_auto_install_dbg-%:
#	dh_auto_install --builddirectory=build-$*-dbg --destdir=debian/tmp-dbg

override_dh_auto_install-%:
	dh_auto_install --builddirectory=build-$*

#### STRIP ####
#override_dh_strip:
#	dh_strip --dbg-package=python-pyside-dbg --exclude=_d.so

#### TEST ####
#override_dh_auto_test: $(PYVERSIONS:%=override_dh_auto_test_dbg-%) $(PYVERSIONS:%=override_dh_auto_test-%)

#override_dh_auto_test_dbg-%:
#	# Run tests in fake X Server in a non-blocking way
#	- xvfb-run -a -s -noreset dh_auto_test --builddirectory=build-$*-dbg

#override_dh_auto_test-%:
	# Run tests in fake X Server in a non-blocking way
#	- xvfb-run -a -s -noreset dh_auto_test --builddirectory=build-$*

#### CLEAN ####
override_dh_auto_clean:
	rm -rf build-*
	cd tests; rm -Rf *.pyc */*.pyc */*/*.pyc */*/*/*.pyc
	rm -rf debian/tmp-dbg

#### DEBIAN INSTALL ####

override_dh_install: override_dh_install_1

override_dh_install_1:
	# Move the debug .so's right in place
	#$(shell rename 's/(debian\/tmp-dbg\/)(.*)\.so(.*)$$/debian\/tmp\/$$2.so$$3/'\
	#             debian/tmp-dbg/usr/lib/python*/*-packages/PySide/*.so)
	#$(shell rename 's/(debian\/tmp-dbg\/)(.*)\.so(.*)$$/debian\/tmp\/$$2.so$$3/'\
	#             debian/tmp-dbg/usr/lib/*.so*)
	# Setup the default version symbolic links
	$(shell ln -s libpyside`echo -py${DEFAULT_PY} | sed -e 's/\.//g' -`.so.0.4 \
	             debian/tmp/usr/lib/libpyside0.4.so)
	$(shell ln -s libpyside0.4.so debian/tmp/usr/lib/libpyside.so)

#override_dh_install_2: override_dh_install_1
	# Do the legacy install for the rest
	#dh_install --list-missing

#override_dh_install_3: override_dh_install_2
	# Move the debug library to the correct package.
#	$(shell rename 's/(debian\/libpyside0.4\/)(.*)_d\.so(.*)$$/debian\/python-pyside-dbg\/$$2_d.so$$3/' \
#	              debian/libpyside0.4/usr/lib/*_d.so*)

override_dh_gencontrol:
	debian/dh_pycmakedeps
	# this option doesn't work into Maemo5
	#--modules-root=PySide/
	dh_gencontrol
